Summary: A tool for archiving and compressing old email in mailboxes
Name: archivemail
Version: 0.9.0
Release: 1%{?dist}
Group: Applications/Internet
License: GPLv2+
URL: http://archivemail.sourceforge.net/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: archivemail
Source2: archivemail-README.tests
Patch0: archivemail-main-noshebang.patch
Patch1: archivemail-0.8.0-test_path.patch
BuildArch: noarch
Requires: python >= 2.3
BuildRequires: python >= 2.3
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Archivemail is a tool written in Python for archiving and compressing old
email in mailboxes. It can move messages older than the specified number of
days to a separate mbox format mailbox that is compressed with gzip, or
optionally just delete old email.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%{__chmod} 0644 test_archivemail
%{__install} -m 0644 -p %{SOURCE2} .

%build

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_bindir}
%{__install} -d %{buildroot}%{_datadir}/%{name}
%{__install} -d %{buildroot}%{_mandir}/man1

%{__install} -m 0755 -p %{SOURCE1} %{buildroot}%{_bindir}/%{name}
%{__install} -m 0644 -p %{name} %{buildroot}%{_datadir}/%{name}/%{name}.py
%{__install} -m 0644 -p %{name}.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc archivemail.xml CHANGELOG COPYING FAQ README test_archivemail TODO examples archivemail-README.tests
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*.gz

%changelog
* Mon Apr 03 2017 Simon Matter <simon.matter@invoca.ch> 0.9.0-1
- upgrade to 0.9.0

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 0.8.2-2
- mass rebuild

* Mon Mar 07 2011 Simon Matter <simon.matter@invoca.ch> 0.8.2-1
- initial rpm release
